﻿<?php	
//#################################################
//Eine Klasse: Vorlage für eine ganze Menge von Objekten
//App
class App{
	public $name;
	
	public function __construct(){}
	
	public function get_name(){
		return $this->name;
	}	
	
	public function set_name($pName){
		$this->name = $pName;
	}	
}

//#################################################
//Eine Klasse: Vorlage für eine ganze Menge von Objekten
//Erweitert die Anwendung um den Datenbankzugriff
class DBCon extends App{
	protected $conn;
	protected $host;
	protected $pass;
	protected $user;
	protected $db;
	protected $query = "";
	protected $ergebnis = array();
	
	public function __construct(){
		$this->host = "localhost";
		$this->user = "root";
		$this->pass = "";
		$this->db = "elternabenddb";
		$this->conn = new mysqli($this->host, $this->user, $this->pass,$this->db);
		
		if(!$this->conn) {
			$this->error();
		}
	}
	
	public function get_con(){
		return $this->conn;
	}
	
	public function connect(){
		$this->conn = new mysqli($this->host, $this->user, $this->pass,$this->db);
		if(!$this->conn) die("Es konnte keine Verbindung zur Datenbank hergestellt werden!");
		$this->conn -> select_db ($this->db);
		$this->conn -> set_charset ("UTF8");
	}
	
	public function select($pSQL){			
		$mErgebnis = $this -> conn -> query($pSQL) or die ('#1 Select verfehlt');
		$this -> conn -> affected_rows;
		return $mErgebnis;
	}
	
	public function update($pSQL){
		$this->ergebnis = mysqli_query($this -> conn,$pSQL)or die ('#2 Update verfehlt');
		return mysqli_affected_rows($this -> conn);			
	}
	
	public function insert($pSQL,$pTabelle){
		$mTimestamp = time();
		$mDatum = date("Y-m-d",$mTimestamp);
		$this -> conn -> query($pSQL) or die ('#3 Insert verfehlt');
		//$mEinlesen = $this -> conn -> query("SELECT LAST_INSERT_ID() as mLastid FROM ".$pTabelle)or die ('Select verfehlt');
		//$mLastidb = mysqli_result($mEinlesen,0);
	}
	
	public function delete($pSQL){
		$this->ergebnis = mysqli_query($this -> conn,$pSQL)or die ('#4 Delete verfehlt');
		return mysqli_affected_rows($this -> conn);	
	}
	
	public function error() {
		die("<h1>Fehler bei der Datenbankverbindung!</h1>");
	}	
	
}

//#################################################
//Eine Klasse: Vorlage für eine ganze Menge von Objekten
//Eine Anwendung Lehrerliste mit Datenbankzugriff
class Lehrerliste extends DBCon{
	
	protected $conn;
	
	public function __construct($pCon){
		$this -> conn = $pCon;
	}
	
	public function anzeigen($pErgebnis,$dieLehrerliste,$pDatei) {
		// Tabelle
		echo "<div id ='liste'>
		<table><form action='$pDatei' method ='post' onchange='this.form.submit();'>
		<tr>
			<th>Name</th>
			<th>Vorname</th>
			<th>Klasse</th>
			<th>Raum</th>
		</tr>";
		
		/*
		 * Schleife/Wiederholung: Schrittweise (zeilenweise) werden die Zugangsdaten dem Ergebnis entnommen
		 */
		while ($datensatz = $pErgebnis->fetch_assoc()) {
			
			/*
			 * Werte der Zeile (Datensatz) werden in lokale Variablen/Attribute übergeben
			 */
			$idlehrer= $datensatz ['id_lehrer'];
			$kz = $datensatz ['kz'];
			$name = $datensatz ['lname'];
			$vorname = $datensatz ['lvorname'];
			$klassenlehrer = $datensatz ['klassenlehrer'];
			$raum = $datensatz ['raum'];
			
			
			// Die Werte an die Sessionvariablen übergeben
			$_SESSION ['id_lehrer'] = $idlehrer;
			$_SESSION ['kz'] = $kz;			
			$_SESSION ['lname'] = $name;
			$_SESSION ['lvorname'] = $vorname;
			$_SESSION ['klassenlehrer'] = $klassenlehrer;
			$_SESSION ['raum'] = $raum;
			$_SESSION ['lehrerliste'] = $dieLehrerliste;
			
			echo "<tr><td>" . $name . "</td><td>" . $vorname. "</td><td>". $klassenlehrer . "</td><td>" . $raum . "</td><td><input type='radio' name='rbAuswahl' value='" . $idlehrer . "' /></td>
			</tr>";
		}
		// Eine positive Ausgabe erzeugt und der Wiederholvorgang wird abgebrochen
		echo "			
		<tr>
			<td colspan='6'>
			<input type='submit' value='Lehrer wählen' name='Auswahl'/></td>
		</tr>
		</form></table></div>";
		
		//Ein Text mit der erzeugten Meldung wird auf der Benutzeroberfläche ausgeben
		echo "<h5><a href=dblogin3.php>Abmelden</a></h5>";
	}
}

//#################################################
//Eine Klasse: Vorlage für eine ganze Menge von Objekten
//Eine Anwendung Terminvereinbarung mit Datenbankzugriff
class Terminvereinbarung extends DBCon{

	
	public function __construct(){
	}
	
}


?>